<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCalendarsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: calendars
         */
        Schema::create('calendars', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 45)->nullable();
            $table->integer('calendar_protocol')->nullable();
            $table->boolean('is_public')->nullable();
            $table->mediumText('first_day')->nullable();
            $table->string('default_view', 10)->nullable();
            $table->dateTime('day_start_at')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('calendars');
    }
}
