<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRelationAddressesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: relation_addresses
         */
        Schema::create('relation_addresses', function ($table) {
            $table->increments('id');
            $table->string('name', 45)->nullable();
            $table->integer('type')->nullable();
            $table->boolean('is_main')->nullable();
            $table->boolean('is_active')->nullable();
            $table->string('address', 45)->nullable();
            $table->string('address_extra', 45)->nullable();
            $table->string('address_extra2', 45)->nullable();
            $table->string('housenumber', 45)->nullable();
            $table->string('housenumberaddition', 45)->nullable();
            $table->string('zipcode', 45)->nullable();
            $table->string('city', 45)->nullable();
            $table->integer('country_id')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('relation_addresses');
    }
}
