<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVendorsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: vendors
         */
        Schema::create('vendors', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('relation_id')->nullable();
            $table->string('vendor_nr', 10)->nullable();
            $table->string('name', 45)->nullable();
            $table->string('slug', 45)->nullable();
            $table->integer('status_id')->nullable();
            $table->string('tax_number', 45)->nullable();
            $table->string('coc_number', 45)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('vendors');
    }
}
