<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class CalendarEventPriorityTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('calendar_event_priorities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.calendar_event_priority.view',
                'name'      => 'View CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.create',
                'name'      => 'Create CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.edit',
                'name'      => 'Update CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.delete',
                'name'      => 'Delete CalendarEventPriority',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.calendar_event_priority.verify',
                'name'      => 'Verify CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.approve',
                'name'      => 'Approve CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.publish',
                'name'      => 'Publish CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.unpublish',
                'name'      => 'Unpublish CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.cancel',
                'name'      => 'Cancel CalendarEventPriority',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_priority.archive',
                'name'      => 'Archive CalendarEventPriority',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/calendar_event_priority',
                'name'        => 'CalendarEventPriority',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/calendar_event_priority',
                'name'        => 'CalendarEventPriority',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'calendar_event_priority',
                'name'        => 'CalendarEventPriority',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'CalendarEventPriority',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.calendar_event_priority.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
