<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class CalendarEventStatusTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('calendar_event_statuses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.calendar_event_status.view',
                'name'      => 'View CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.create',
                'name'      => 'Create CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.edit',
                'name'      => 'Update CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.delete',
                'name'      => 'Delete CalendarEventStatus',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.calendar_event_status.verify',
                'name'      => 'Verify CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.approve',
                'name'      => 'Approve CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.publish',
                'name'      => 'Publish CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.unpublish',
                'name'      => 'Unpublish CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.cancel',
                'name'      => 'Cancel CalendarEventStatus',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event_status.archive',
                'name'      => 'Archive CalendarEventStatus',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/calendar_event_status',
                'name'        => 'CalendarEventStatus',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/calendar_event_status',
                'name'        => 'CalendarEventStatus',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'calendar_event_status',
                'name'        => 'CalendarEventStatus',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'CalendarEventStatus',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.calendar_event_status.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
