<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class CalendarEventTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('calendar_events')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.calendar_event.view',
                'name'      => 'View CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.create',
                'name'      => 'Create CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.edit',
                'name'      => 'Update CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.delete',
                'name'      => 'Delete CalendarEvent',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.calendar_event.verify',
                'name'      => 'Verify CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.approve',
                'name'      => 'Approve CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.publish',
                'name'      => 'Publish CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.unpublish',
                'name'      => 'Unpublish CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.cancel',
                'name'      => 'Cancel CalendarEvent',
            ],
            [
                'slug'      => 'advancedcrm.calendar_event.archive',
                'name'      => 'Archive CalendarEvent',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/calendar_event',
                'name'        => 'CalendarEvent',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/calendar_event',
                'name'        => 'CalendarEvent',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'calendar_event',
                'name'        => 'CalendarEvent',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'CalendarEvent',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.calendar_event.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
