<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class CalendarTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('calendars')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.calendar.view',
                'name'      => 'View Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.create',
                'name'      => 'Create Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.edit',
                'name'      => 'Update Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.delete',
                'name'      => 'Delete Calendar',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.calendar.verify',
                'name'      => 'Verify Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.approve',
                'name'      => 'Approve Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.publish',
                'name'      => 'Publish Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.unpublish',
                'name'      => 'Unpublish Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.cancel',
                'name'      => 'Cancel Calendar',
            ],
            [
                'slug'      => 'advancedcrm.calendar.archive',
                'name'      => 'Archive Calendar',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/calendar',
                'name'        => 'Calendar',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/calendar',
                'name'        => 'Calendar',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'calendar',
                'name'        => 'Calendar',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'Calendar',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.calendar.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
