<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class CompanyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('companies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.company.view',
                'name'      => 'View Company',
            ],
            [
                'slug'      => 'advancedcrm.company.create',
                'name'      => 'Create Company',
            ],
            [
                'slug'      => 'advancedcrm.company.edit',
                'name'      => 'Update Company',
            ],
            [
                'slug'      => 'advancedcrm.company.delete',
                'name'      => 'Delete Company',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.company.verify',
                'name'      => 'Verify Company',
            ],
            [
                'slug'      => 'advancedcrm.company.approve',
                'name'      => 'Approve Company',
            ],
            [
                'slug'      => 'advancedcrm.company.publish',
                'name'      => 'Publish Company',
            ],
            [
                'slug'      => 'advancedcrm.company.unpublish',
                'name'      => 'Unpublish Company',
            ],
            [
                'slug'      => 'advancedcrm.company.cancel',
                'name'      => 'Cancel Company',
            ],
            [
                'slug'      => 'advancedcrm.company.archive',
                'name'      => 'Archive Company',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/company',
                'name'        => 'Company',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/company',
                'name'        => 'Company',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'company',
                'name'        => 'Company',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'Company',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.company.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
