<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class CustomerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('customers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.customer.view',
                'name'      => 'View Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.create',
                'name'      => 'Create Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.edit',
                'name'      => 'Update Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.delete',
                'name'      => 'Delete Customer',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.customer.verify',
                'name'      => 'Verify Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.approve',
                'name'      => 'Approve Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.publish',
                'name'      => 'Publish Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.unpublish',
                'name'      => 'Unpublish Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.cancel',
                'name'      => 'Cancel Customer',
            ],
            [
                'slug'      => 'advancedcrm.customer.archive',
                'name'      => 'Archive Customer',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/customer',
                'name'        => 'Customer',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/customer',
                'name'        => 'Customer',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'customer',
                'name'        => 'Customer',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'Customer',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.customer.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
