<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class LeadSourceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('lead_sources')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.lead_source.view',
                'name'      => 'View LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.create',
                'name'      => 'Create LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.edit',
                'name'      => 'Update LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.delete',
                'name'      => 'Delete LeadSource',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.lead_source.verify',
                'name'      => 'Verify LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.approve',
                'name'      => 'Approve LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.publish',
                'name'      => 'Publish LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.unpublish',
                'name'      => 'Unpublish LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.cancel',
                'name'      => 'Cancel LeadSource',
            ],
            [
                'slug'      => 'advancedcrm.lead_source.archive',
                'name'      => 'Archive LeadSource',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/lead_source',
                'name'        => 'LeadSource',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/lead_source',
                'name'        => 'LeadSource',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'lead_source',
                'name'        => 'LeadSource',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'LeadSource',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.lead_source.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
