<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class OpportunityStatusTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('opportunity_statuses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.opportunity_status.view',
                'name'      => 'View OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.create',
                'name'      => 'Create OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.edit',
                'name'      => 'Update OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.delete',
                'name'      => 'Delete OpportunityStatus',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.opportunity_status.verify',
                'name'      => 'Verify OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.approve',
                'name'      => 'Approve OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.publish',
                'name'      => 'Publish OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.unpublish',
                'name'      => 'Unpublish OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.cancel',
                'name'      => 'Cancel OpportunityStatus',
            ],
            [
                'slug'      => 'advancedcrm.opportunity_status.archive',
                'name'      => 'Archive OpportunityStatus',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/opportunity_status',
                'name'        => 'OpportunityStatus',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/opportunity_status',
                'name'        => 'OpportunityStatus',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'opportunity_status',
                'name'        => 'OpportunityStatus',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'OpportunityStatus',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.opportunity_status.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
