<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class OpportunityTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('opportunities')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.opportunity.view',
                'name'      => 'View Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.create',
                'name'      => 'Create Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.edit',
                'name'      => 'Update Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.delete',
                'name'      => 'Delete Opportunity',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.opportunity.verify',
                'name'      => 'Verify Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.approve',
                'name'      => 'Approve Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.publish',
                'name'      => 'Publish Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.unpublish',
                'name'      => 'Unpublish Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.cancel',
                'name'      => 'Cancel Opportunity',
            ],
            [
                'slug'      => 'advancedcrm.opportunity.archive',
                'name'      => 'Archive Opportunity',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/opportunity',
                'name'        => 'Opportunity',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/opportunity',
                'name'        => 'Opportunity',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'opportunity',
                'name'        => 'Opportunity',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'Opportunity',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.opportunity.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
