<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class RelationAddressTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('relation_addresses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.relation_address.view',
                'name'      => 'View RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.create',
                'name'      => 'Create RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.edit',
                'name'      => 'Update RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.delete',
                'name'      => 'Delete RelationAddress',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.relation_address.verify',
                'name'      => 'Verify RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.approve',
                'name'      => 'Approve RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.publish',
                'name'      => 'Publish RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.unpublish',
                'name'      => 'Unpublish RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.cancel',
                'name'      => 'Cancel RelationAddress',
            ],
            [
                'slug'      => 'advancedcrm.relation_address.archive',
                'name'      => 'Archive RelationAddress',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/relation_address',
                'name'        => 'RelationAddress',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/relation_address',
                'name'        => 'RelationAddress',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'relation_address',
                'name'        => 'RelationAddress',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'RelationAddress',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.relation_address.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
