<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class RelationCommunicationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('relation_communications')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.relation_communication.view',
                'name'      => 'View RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.create',
                'name'      => 'Create RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.edit',
                'name'      => 'Update RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.delete',
                'name'      => 'Delete RelationCommunication',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.relation_communication.verify',
                'name'      => 'Verify RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.approve',
                'name'      => 'Approve RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.publish',
                'name'      => 'Publish RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.unpublish',
                'name'      => 'Unpublish RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.cancel',
                'name'      => 'Cancel RelationCommunication',
            ],
            [
                'slug'      => 'advancedcrm.relation_communication.archive',
                'name'      => 'Archive RelationCommunication',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/relation_communication',
                'name'        => 'RelationCommunication',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/relation_communication',
                'name'        => 'RelationCommunication',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'relation_communication',
                'name'        => 'RelationCommunication',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'RelationCommunication',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.relation_communication.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
