<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class RelationStatusTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('relation_statuses')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.relation_status.view',
                'name'      => 'View RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.create',
                'name'      => 'Create RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.edit',
                'name'      => 'Update RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.delete',
                'name'      => 'Delete RelationStatus',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.relation_status.verify',
                'name'      => 'Verify RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.approve',
                'name'      => 'Approve RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.publish',
                'name'      => 'Publish RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.unpublish',
                'name'      => 'Unpublish RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.cancel',
                'name'      => 'Cancel RelationStatus',
            ],
            [
                'slug'      => 'advancedcrm.relation_status.archive',
                'name'      => 'Archive RelationStatus',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/relation_status',
                'name'        => 'RelationStatus',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/relation_status',
                'name'        => 'RelationStatus',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'relation_status',
                'name'        => 'RelationStatus',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'RelationStatus',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.relation_status.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
