<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class RelationTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('relations')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.relation.view',
                'name'      => 'View Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.create',
                'name'      => 'Create Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.edit',
                'name'      => 'Update Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.delete',
                'name'      => 'Delete Relation',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.relation.verify',
                'name'      => 'Verify Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.approve',
                'name'      => 'Approve Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.publish',
                'name'      => 'Publish Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.unpublish',
                'name'      => 'Unpublish Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.cancel',
                'name'      => 'Cancel Relation',
            ],
            [
                'slug'      => 'advancedcrm.relation.archive',
                'name'      => 'Archive Relation',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/relation',
                'name'        => 'Relation',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/relation',
                'name'        => 'Relation',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'relation',
                'name'        => 'Relation',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'Relation',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.relation.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
