<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class RelationTypeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('relation_types')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.relation_type.view',
                'name'      => 'View RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.create',
                'name'      => 'Create RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.edit',
                'name'      => 'Update RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.delete',
                'name'      => 'Delete RelationType',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.relation_type.verify',
                'name'      => 'Verify RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.approve',
                'name'      => 'Approve RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.publish',
                'name'      => 'Publish RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.unpublish',
                'name'      => 'Unpublish RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.cancel',
                'name'      => 'Cancel RelationType',
            ],
            [
                'slug'      => 'advancedcrm.relation_type.archive',
                'name'      => 'Archive RelationType',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/relation_type',
                'name'        => 'RelationType',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/relation_type',
                'name'        => 'RelationType',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'relation_type',
                'name'        => 'RelationType',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'RelationType',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.relation_type.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
