<?php

namespace Cleancrm\Advancedcrm;

use DB;
use Illuminate\Database\Seeder;

class VendorTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('vendors')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'advancedcrm.vendor.view',
                'name'      => 'View Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.create',
                'name'      => 'Create Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.edit',
                'name'      => 'Update Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.delete',
                'name'      => 'Delete Vendor',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'advancedcrm.vendor.verify',
                'name'      => 'Verify Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.approve',
                'name'      => 'Approve Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.publish',
                'name'      => 'Publish Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.unpublish',
                'name'      => 'Unpublish Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.cancel',
                'name'      => 'Cancel Vendor',
            ],
            [
                'slug'      => 'advancedcrm.vendor.archive',
                'name'      => 'Archive Vendor',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/advancedcrm/vendor',
                'name'        => 'Vendor',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/advancedcrm/vendor',
                'name'        => 'Vendor',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'vendor',
                'name'        => 'Vendor',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Advancedcrm',
                'module'    => 'Vendor',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'advancedcrm.vendor.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
