<?php

// Resource routes  for company
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('company/workflow/{example}/{step}', 'CompanyWorkflowController@putWorkflow');
    Route::get('company/workflow/{example}/{step}/{user}', 'CompanyWorkflowController@getWorkflow');
    Route::resource('company', 'CompanyResourceController');
});

// Public  routes for company
Route::get('company/workflow/{company}/{step}/{user}', 'CompanyController@getWorkflow');
Route::get('company/popular/{period?}', 'CompanyPublicController@popular');
Route::get('advancedcrms/', 'CompanyPublicController@index');
Route::get('advancedcrms/{slug?}', 'CompanyPublicController@show');


// Resource routes  for calendar
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('calendar/workflow/{example}/{step}', 'CalendarWorkflowController@putWorkflow');
    Route::get('calendar/workflow/{example}/{step}/{user}', 'CalendarWorkflowController@getWorkflow');
    Route::resource('calendar', 'CalendarResourceController');
});

// Public  routes for calendar
Route::get('calendar/workflow/{calendar}/{step}/{user}', 'CalendarController@getWorkflow');
Route::get('calendar/popular/{period?}', 'CalendarPublicController@popular');
Route::get('advancedcrms/', 'CalendarPublicController@index');
Route::get('advancedcrms/{slug?}', 'CalendarPublicController@show');


// Resource routes  for calendar_event
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('calendar_event/workflow/{example}/{step}', 'CalendarEventWorkflowController@putWorkflow');
    Route::get('calendar_event/workflow/{example}/{step}/{user}', 'CalendarEventWorkflowController@getWorkflow');
    Route::resource('calendar_event', 'CalendarEventResourceController');
});

// Public  routes for calendar_event
Route::get('calendar_event/workflow/{calendar_event}/{step}/{user}', 'CalendarEventController@getWorkflow');
Route::get('calendar_event/popular/{period?}', 'CalendarEventPublicController@popular');
Route::get('advancedcrms/', 'CalendarEventPublicController@index');
Route::get('advancedcrms/{slug?}', 'CalendarEventPublicController@show');


// Resource routes  for calendar_event_status
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('calendar_event_status/workflow/{example}/{step}', 'CalendarEventStatusWorkflowController@putWorkflow');
    Route::get('calendar_event_status/workflow/{example}/{step}/{user}', 'CalendarEventStatusWorkflowController@getWorkflow');
    Route::resource('calendar_event_status', 'CalendarEventStatusResourceController');
});

// Public  routes for calendar_event_status
Route::get('calendar_event_status/workflow/{calendar_event_status}/{step}/{user}', 'CalendarEventStatusController@getWorkflow');
Route::get('calendar_event_status/popular/{period?}', 'CalendarEventStatusPublicController@popular');
Route::get('advancedcrms/', 'CalendarEventStatusPublicController@index');
Route::get('advancedcrms/{slug?}', 'CalendarEventStatusPublicController@show');


// Resource routes  for calendar_event_priority
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('calendar_event_priority/workflow/{example}/{step}', 'CalendarEventPriorityWorkflowController@putWorkflow');
    Route::get('calendar_event_priority/workflow/{example}/{step}/{user}', 'CalendarEventPriorityWorkflowController@getWorkflow');
    Route::resource('calendar_event_priority', 'CalendarEventPriorityResourceController');
});

// Public  routes for calendar_event_priority
Route::get('calendar_event_priority/workflow/{calendar_event_priority}/{step}/{user}', 'CalendarEventPriorityController@getWorkflow');
Route::get('calendar_event_priority/popular/{period?}', 'CalendarEventPriorityPublicController@popular');
Route::get('advancedcrms/', 'CalendarEventPriorityPublicController@index');
Route::get('advancedcrms/{slug?}', 'CalendarEventPriorityPublicController@show');


// Resource routes  for relation
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('relation/workflow/{example}/{step}', 'RelationWorkflowController@putWorkflow');
    Route::get('relation/workflow/{example}/{step}/{user}', 'RelationWorkflowController@getWorkflow');
    Route::resource('relation', 'RelationResourceController');
});

// Public  routes for relation
Route::get('relation/workflow/{relation}/{step}/{user}', 'RelationController@getWorkflow');
Route::get('relation/popular/{period?}', 'RelationPublicController@popular');
Route::get('advancedcrms/', 'RelationPublicController@index');
Route::get('advancedcrms/{slug?}', 'RelationPublicController@show');


// Resource routes  for relation_type
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('relation_type/workflow/{example}/{step}', 'RelationTypeWorkflowController@putWorkflow');
    Route::get('relation_type/workflow/{example}/{step}/{user}', 'RelationTypeWorkflowController@getWorkflow');
    Route::resource('relation_type', 'RelationTypeResourceController');
});

// Public  routes for relation_type
Route::get('relation_type/workflow/{relation_type}/{step}/{user}', 'RelationTypeController@getWorkflow');
Route::get('relation_type/popular/{period?}', 'RelationTypePublicController@popular');
Route::get('advancedcrms/', 'RelationTypePublicController@index');
Route::get('advancedcrms/{slug?}', 'RelationTypePublicController@show');


// Resource routes  for relation_status
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('relation_status/workflow/{example}/{step}', 'RelationStatusWorkflowController@putWorkflow');
    Route::get('relation_status/workflow/{example}/{step}/{user}', 'RelationStatusWorkflowController@getWorkflow');
    Route::resource('relation_status', 'RelationStatusResourceController');
});

// Public  routes for relation_status
Route::get('relation_status/workflow/{relation_status}/{step}/{user}', 'RelationStatusController@getWorkflow');
Route::get('relation_status/popular/{period?}', 'RelationStatusPublicController@popular');
Route::get('advancedcrms/', 'RelationStatusPublicController@index');
Route::get('advancedcrms/{slug?}', 'RelationStatusPublicController@show');


// Resource routes  for lead
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('lead/workflow/{example}/{step}', 'LeadWorkflowController@putWorkflow');
    Route::get('lead/workflow/{example}/{step}/{user}', 'LeadWorkflowController@getWorkflow');
    Route::resource('lead', 'LeadResourceController');
});

// Public  routes for lead
Route::get('lead/workflow/{lead}/{step}/{user}', 'LeadController@getWorkflow');
Route::get('lead/popular/{period?}', 'LeadPublicController@popular');
Route::get('advancedcrms/', 'LeadPublicController@index');
Route::get('advancedcrms/{slug?}', 'LeadPublicController@show');


// Resource routes  for crm__leadstatus
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::resource('crm__leadstatus', 'CrmLeadstatusResourceController');
});



// Resource routes  for lead_source
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('lead_source/workflow/{example}/{step}', 'LeadSourceWorkflowController@putWorkflow');
    Route::get('lead_source/workflow/{example}/{step}/{user}', 'LeadSourceWorkflowController@getWorkflow');
    Route::resource('lead_source', 'LeadSourceResourceController');
});

// Public  routes for lead_source
Route::get('lead_source/workflow/{lead_source}/{step}/{user}', 'LeadSourceController@getWorkflow');
Route::get('lead_source/popular/{period?}', 'LeadSourcePublicController@popular');
Route::get('advancedcrms/', 'LeadSourcePublicController@index');
Route::get('advancedcrms/{slug?}', 'LeadSourcePublicController@show');


// Resource routes  for opportunity
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('opportunity/workflow/{example}/{step}', 'OpportunityWorkflowController@putWorkflow');
    Route::get('opportunity/workflow/{example}/{step}/{user}', 'OpportunityWorkflowController@getWorkflow');
    Route::resource('opportunity', 'OpportunityResourceController');
});

// Public  routes for opportunity
Route::get('opportunity/workflow/{opportunity}/{step}/{user}', 'OpportunityController@getWorkflow');
Route::get('opportunity/popular/{period?}', 'OpportunityPublicController@popular');
Route::get('advancedcrms/', 'OpportunityPublicController@index');
Route::get('advancedcrms/{slug?}', 'OpportunityPublicController@show');


// Resource routes  for opportunity_status
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('opportunity_status/workflow/{example}/{step}', 'OpportunityStatusWorkflowController@putWorkflow');
    Route::get('opportunity_status/workflow/{example}/{step}/{user}', 'OpportunityStatusWorkflowController@getWorkflow');
    Route::resource('opportunity_status', 'OpportunityStatusResourceController');
});

// Public  routes for opportunity_status
Route::get('opportunity_status/workflow/{opportunity_status}/{step}/{user}', 'OpportunityStatusController@getWorkflow');
Route::get('opportunity_status/popular/{period?}', 'OpportunityStatusPublicController@popular');
Route::get('advancedcrms/', 'OpportunityStatusPublicController@index');
Route::get('advancedcrms/{slug?}', 'OpportunityStatusPublicController@show');


// Resource routes  for vendor
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('vendor/workflow/{example}/{step}', 'VendorWorkflowController@putWorkflow');
    Route::get('vendor/workflow/{example}/{step}/{user}', 'VendorWorkflowController@getWorkflow');
    Route::resource('vendor', 'VendorResourceController');
});

// Public  routes for vendor
Route::get('vendor/workflow/{vendor}/{step}/{user}', 'VendorController@getWorkflow');
Route::get('vendor/popular/{period?}', 'VendorPublicController@popular');
Route::get('advancedcrms/', 'VendorPublicController@index');
Route::get('advancedcrms/{slug?}', 'VendorPublicController@show');


// Resource routes  for customer
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('customer/workflow/{example}/{step}', 'CustomerWorkflowController@putWorkflow');
    Route::get('customer/workflow/{example}/{step}/{user}', 'CustomerWorkflowController@getWorkflow');
    Route::resource('customer', 'CustomerResourceController');
});

// Public  routes for customer
Route::get('customer/workflow/{customer}/{step}/{user}', 'CustomerController@getWorkflow');
Route::get('customer/popular/{period?}', 'CustomerPublicController@popular');
Route::get('advancedcrms/', 'CustomerPublicController@index');
Route::get('advancedcrms/{slug?}', 'CustomerPublicController@show');


// Resource routes  for relation_address
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('relation_address/workflow/{example}/{step}', 'RelationAddressWorkflowController@putWorkflow');
    Route::get('relation_address/workflow/{example}/{step}/{user}', 'RelationAddressWorkflowController@getWorkflow');
    Route::resource('relation_address', 'RelationAddressResourceController');
});

// Public  routes for relation_address
Route::get('relation_address/workflow/{relation_address}/{step}/{user}', 'RelationAddressController@getWorkflow');
Route::get('relation_address/popular/{period?}', 'RelationAddressPublicController@popular');
Route::get('advancedcrms/', 'RelationAddressPublicController@index');
Route::get('advancedcrms/{slug?}', 'RelationAddressPublicController@show');


// Resource routes  for relation_communication
Route::group(['prefix' => set_route_guard('web').'/advancedcrm'], function () {
    Route::put('relation_communication/workflow/{example}/{step}', 'RelationCommunicationWorkflowController@putWorkflow');
    Route::get('relation_communication/workflow/{example}/{step}/{user}', 'RelationCommunicationWorkflowController@getWorkflow');
    Route::resource('relation_communication', 'RelationCommunicationResourceController');
});

// Public  routes for relation_communication
Route::get('relation_communication/workflow/{relation_communication}/{step}/{user}', 'RelationCommunicationController@getWorkflow');
Route::get('relation_communication/popular/{period?}', 'RelationCommunicationPublicController@popular');
Route::get('advancedcrms/', 'RelationCommunicationPublicController@index');
Route::get('advancedcrms/{slug?}', 'RelationCommunicationPublicController@show');

