<?php

namespace Cleancrm\Advancedcrm\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Cleancrm\Advancedcrm\Interfaces\OpportunityStatusRepositoryInterface;

class OpportunityStatusPublicController extends BaseController
{
    // use OpportunityStatusWorkflow;

    /**
     * Constructor.
     *
     * @param type \Cleancrm\OpportunityStatus\Interfaces\OpportunityStatusRepositoryInterface $opportunity_status
     *
     * @return type
     */
    public function __construct(OpportunityStatusRepositoryInterface $opportunity_status)
    {
        $this->repository = $opportunity_status;
        parent::__construct();
    }

    /**
     * Show opportunity_status's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $opportunity_statuses = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$advancedcrm::opportunity_status.names'))
            ->view('advancedcrm::opportunity_status.index')
            ->data(compact('opportunity_statuses'))
            ->output();
    }


    /**
     * Show opportunity_status.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $opportunity_status = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$opportunity_status->name . trans('advancedcrm::opportunity_status.name'))
            ->view('advancedcrm::opportunity_status.show')
            ->data(compact('opportunity_status'))
            ->output();
    }

}
