<?php

namespace Cleancrm\Advancedcrm\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Cleancrm\Advancedcrm\Interfaces\RelationAddressRepositoryInterface;

class RelationAddressPublicController extends BaseController
{
    // use RelationAddressWorkflow;

    /**
     * Constructor.
     *
     * @param type \Cleancrm\RelationAddress\Interfaces\RelationAddressRepositoryInterface $relation_address
     *
     * @return type
     */
    public function __construct(RelationAddressRepositoryInterface $relation_address)
    {
        $this->repository = $relation_address;
        parent::__construct();
    }

    /**
     * Show relation_address's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $relation_addresses = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$advancedcrm::relation_address.names'))
            ->view('advancedcrm::relation_address.index')
            ->data(compact('relation_addresses'))
            ->output();
    }


    /**
     * Show relation_address.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $relation_address = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$relation_address->name . trans('advancedcrm::relation_address.name'))
            ->view('advancedcrm::relation_address.show')
            ->data(compact('relation_address'))
            ->output();
    }

}
