<?php

namespace Cleancrm\Advancedcrm\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Cleancrm\Advancedcrm\Interfaces\RelationRepositoryInterface;

class RelationPublicController extends BaseController
{
    // use RelationWorkflow;

    /**
     * Constructor.
     *
     * @param type \Cleancrm\Relation\Interfaces\RelationRepositoryInterface $relation
     *
     * @return type
     */
    public function __construct(RelationRepositoryInterface $relation)
    {
        $this->repository = $relation;
        parent::__construct();
    }

    /**
     * Show relation's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $relations = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$advancedcrm::relation.names'))
            ->view('advancedcrm::relation.index')
            ->data(compact('relations'))
            ->output();
    }


    /**
     * Show relation.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $relation = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$relation->name . trans('advancedcrm::relation.name'))
            ->view('advancedcrm::relation.show')
            ->data(compact('relation'))
            ->output();
    }

}
