<?php

namespace Cleancrm\Advancedcrm\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Company policy
        'Cleancrm\Advancedcrm\Models\Company' => \Cleancrm\Advancedcrm\Policies\CompanyPolicy::class,
// Bind Calendar policy
        'Cleancrm\Advancedcrm\Models\Calendar' => \Cleancrm\Advancedcrm\Policies\CalendarPolicy::class,
// Bind CalendarEvent policy
        'Cleancrm\Advancedcrm\Models\CalendarEvent' => \Cleancrm\Advancedcrm\Policies\CalendarEventPolicy::class,
// Bind CalendarEventStatus policy
        'Cleancrm\Advancedcrm\Models\CalendarEventStatus' => \Cleancrm\Advancedcrm\Policies\CalendarEventStatusPolicy::class,
// Bind CalendarEventPriority policy
        'Cleancrm\Advancedcrm\Models\CalendarEventPriority' => \Cleancrm\Advancedcrm\Policies\CalendarEventPriorityPolicy::class,
// Bind Relation policy
        'Cleancrm\Advancedcrm\Models\Relation' => \Cleancrm\Advancedcrm\Policies\RelationPolicy::class,
// Bind RelationType policy
        'Cleancrm\Advancedcrm\Models\RelationType' => \Cleancrm\Advancedcrm\Policies\RelationTypePolicy::class,
// Bind RelationStatus policy
        'Cleancrm\Advancedcrm\Models\RelationStatus' => \Cleancrm\Advancedcrm\Policies\RelationStatusPolicy::class,
// Bind Lead policy
        'Cleancrm\Advancedcrm\Models\Lead' => \Cleancrm\Advancedcrm\Policies\LeadPolicy::class,
// Bind CrmLeadstatus policy
        'Cleancrm\Advancedcrm\Models\CrmLeadstatus' => \Cleancrm\Advancedcrm\Policies\CrmLeadstatusPolicy::class,
// Bind LeadSource policy
        'Cleancrm\Advancedcrm\Models\LeadSource' => \Cleancrm\Advancedcrm\Policies\LeadSourcePolicy::class,
// Bind Opportunity policy
        'Cleancrm\Advancedcrm\Models\Opportunity' => \Cleancrm\Advancedcrm\Policies\OpportunityPolicy::class,
// Bind OpportunityStatus policy
        'Cleancrm\Advancedcrm\Models\OpportunityStatus' => \Cleancrm\Advancedcrm\Policies\OpportunityStatusPolicy::class,
// Bind Vendor policy
        'Cleancrm\Advancedcrm\Models\Vendor' => \Cleancrm\Advancedcrm\Policies\VendorPolicy::class,
// Bind Customer policy
        'Cleancrm\Advancedcrm\Models\Customer' => \Cleancrm\Advancedcrm\Policies\CustomerPolicy::class,
// Bind RelationAddress policy
        'Cleancrm\Advancedcrm\Models\RelationAddress' => \Cleancrm\Advancedcrm\Policies\RelationAddressPolicy::class,
// Bind RelationCommunication policy
        'Cleancrm\Advancedcrm\Models\RelationCommunication' => \Cleancrm\Advancedcrm\Policies\RelationCommunicationPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
