<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CalendarEventPriorityTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\CalendarEventPriority $calendar_event_priority)
    {
        return [
            'id'                => $calendar_event_priority->getRouteKey(),
            'key'               => [
                'public'    => $calendar_event_priority->getPublicKey(),
                'route'     => $calendar_event_priority->getRouteKey(),
            ], 
            'id'                => $calendar_event_priority->id,
            'name'              => $calendar_event_priority->name,
            'sortorder'         => $calendar_event_priority->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$calendar_event_priority->getPublicKey()),
                'user'      => guard_url('advancedcrm/calendar_event_priority/'.$calendar_event_priority->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calendar_event_priority->status),
            'created_at'        => format_date($calendar_event_priority->created_at),
            'updated_at'        => format_date($calendar_event_priority->updated_at),
        ];
    }
}