<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CalendarEventStatusTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\CalendarEventStatus $calendar_event_status)
    {
        return [
            'id'                => $calendar_event_status->getRouteKey(),
            'key'               => [
                'public'    => $calendar_event_status->getPublicKey(),
                'route'     => $calendar_event_status->getRouteKey(),
            ], 
            'id'                => $calendar_event_status->id,
            'name'              => $calendar_event_status->name,
            'sortorder'         => $calendar_event_status->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$calendar_event_status->getPublicKey()),
                'user'      => guard_url('advancedcrm/calendar_event_status/'.$calendar_event_status->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calendar_event_status->status),
            'created_at'        => format_date($calendar_event_status->created_at),
            'updated_at'        => format_date($calendar_event_status->updated_at),
        ];
    }
}