<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CalendarEventTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\CalendarEvent $calendar_event)
    {
        return [
            'id'                => $calendar_event->getRouteKey(),
            'key'               => [
                'public'    => $calendar_event->getPublicKey(),
                'route'     => $calendar_event->getRouteKey(),
            ], 
            'id'                => $calendar_event->id,
            'company_id'        => $calendar_event->company_id,
            'calendar_id'       => $calendar_event->calendar_id,
            'name'              => $calendar_event->name,
            'priority_id'       => $calendar_event->priority_id,
            'status_id'         => $calendar_event->status_id,
            'is_full_day'       => $calendar_event->is_full_day,
            'start_at'          => $calendar_event->start_at,
            'end_at'            => $calendar_event->end_at,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$calendar_event->getPublicKey()),
                'user'      => guard_url('advancedcrm/calendar_event/'.$calendar_event->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calendar_event->status),
            'created_at'        => format_date($calendar_event->created_at),
            'updated_at'        => format_date($calendar_event->updated_at),
        ];
    }
}