<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CalendarTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Calendar $calendar)
    {
        return [
            'id'                => $calendar->getRouteKey(),
            'key'               => [
                'public'    => $calendar->getPublicKey(),
                'route'     => $calendar->getRouteKey(),
            ], 
            'id'                => $calendar->id,
            'company_id'        => $calendar->company_id,
            'name'              => $calendar->name,
            'calendar_protocol' => $calendar->calendar_protocol,
            'is_public'         => $calendar->is_public,
            'first_day'         => $calendar->first_day,
            'default_view'      => $calendar->default_view,
            'day_start_at'      => $calendar->day_start_at,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$calendar->getPublicKey()),
                'user'      => guard_url('advancedcrm/calendar/'.$calendar->getRouteKey()),
            ], 
            'status'            => trans('app.'.$calendar->status),
            'created_at'        => format_date($calendar->created_at),
            'updated_at'        => format_date($calendar->updated_at),
        ];
    }
}