<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Company $company)
    {
        return [
            'id'                => $company->getRouteKey(),
            'key'               => [
                'public'    => $company->getPublicKey(),
                'route'     => $company->getRouteKey(),
            ], 
            'id'                => $company->id,
            'name'              => $company->name,
            'slug'              => $company->slug,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$company->getPublicKey()),
                'user'      => guard_url('advancedcrm/company/'.$company->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company->status),
            'created_at'        => format_date($company->created_at),
            'updated_at'        => format_date($company->updated_at),
        ];
    }
}