<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CrmLeadstatusTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\CrmLeadstatus $crm__leadstatus)
    {
        return [
            'id'                => $crm__leadstatus->getRouteKey(),
            'key'               => [
                'public'    => $crm__leadstatus->getPublicKey(),
                'route'     => $crm__leadstatus->getRouteKey(),
            ], 
            'id'                => $crm__leadstatus->id,
            'name'              => $crm__leadstatus->name,
            'sortorder'         => $crm__leadstatus->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$crm__leadstatus->getPublicKey()),
                'user'      => guard_url('advancedcrm/crm__leadstatus/'.$crm__leadstatus->getRouteKey()),
            ], 
            'status'            => trans('app.'.$crm__leadstatus->status),
            'created_at'        => format_date($crm__leadstatus->created_at),
            'updated_at'        => format_date($crm__leadstatus->updated_at),
        ];
    }
}