<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomerTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Customer $customer)
    {
        return [
            'id'                => $customer->getRouteKey(),
            'key'               => [
                'public'    => $customer->getPublicKey(),
                'route'     => $customer->getRouteKey(),
            ], 
            'id'                => $customer->id,
            'company_id'        => $customer->company_id,
            'relation_id'       => $customer->relation_id,
            'customer_nr'       => $customer->customer_nr,
            'name'              => $customer->name,
            'slug'              => $customer->slug,
            'status_id'         => $customer->status_id,
            'tax_number'        => $customer->tax_number,
            'coc_number'        => $customer->coc_number,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$customer->getPublicKey()),
                'user'      => guard_url('advancedcrm/customer/'.$customer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$customer->status),
            'created_at'        => format_date($customer->created_at),
            'updated_at'        => format_date($customer->updated_at),
        ];
    }
}