<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadSourceTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\LeadSource $lead_source)
    {
        return [
            'id'                => $lead_source->getRouteKey(),
            'key'               => [
                'public'    => $lead_source->getPublicKey(),
                'route'     => $lead_source->getRouteKey(),
            ], 
            'id'                => $lead_source->id,
            'name'              => $lead_source->name,
            'sortorder'         => $lead_source->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$lead_source->getPublicKey()),
                'user'      => guard_url('advancedcrm/lead_source/'.$lead_source->getRouteKey()),
            ], 
            'status'            => trans('app.'.$lead_source->status),
            'created_at'        => format_date($lead_source->created_at),
            'updated_at'        => format_date($lead_source->updated_at),
        ];
    }
}