<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Lead $lead)
    {
        return [
            'id'                => $lead->getRouteKey(),
            'key'               => [
                'public'    => $lead->getPublicKey(),
                'route'     => $lead->getRouteKey(),
            ], 
            'id'                => $lead->id,
            'company_id'        => $lead->company_id,
            'name'              => $lead->name,
            'lead_status_id'    => $lead->lead_status_id,
            'lead_source_id'    => $lead->lead_source_id,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$lead->getPublicKey()),
                'user'      => guard_url('advancedcrm/lead/'.$lead->getRouteKey()),
            ], 
            'status'            => trans('app.'.$lead->status),
            'created_at'        => format_date($lead->created_at),
            'updated_at'        => format_date($lead->updated_at),
        ];
    }
}