<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OpportunityStatusTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\OpportunityStatus $opportunity_status)
    {
        return [
            'id'                => $opportunity_status->getRouteKey(),
            'key'               => [
                'public'    => $opportunity_status->getPublicKey(),
                'route'     => $opportunity_status->getRouteKey(),
            ], 
            'id'                => $opportunity_status->id,
            'name'              => $opportunity_status->name,
            'sortorder'         => $opportunity_status->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$opportunity_status->getPublicKey()),
                'user'      => guard_url('advancedcrm/opportunity_status/'.$opportunity_status->getRouteKey()),
            ], 
            'status'            => trans('app.'.$opportunity_status->status),
            'created_at'        => format_date($opportunity_status->created_at),
            'updated_at'        => format_date($opportunity_status->updated_at),
        ];
    }
}