<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OpportunityTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Opportunity $opportunity)
    {
        return [
            'id'                => $opportunity->getRouteKey(),
            'key'               => [
                'public'    => $opportunity->getPublicKey(),
                'route'     => $opportunity->getRouteKey(),
            ], 
            'id'                => $opportunity->id,
            'company_id'        => $opportunity->company_id,
            'name'              => $opportunity->name,
            'status_id'         => $opportunity->status_id,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$opportunity->getPublicKey()),
                'user'      => guard_url('advancedcrm/opportunity/'.$opportunity->getRouteKey()),
            ], 
            'status'            => trans('app.'.$opportunity->status),
            'created_at'        => format_date($opportunity->created_at),
            'updated_at'        => format_date($opportunity->updated_at),
        ];
    }
}