<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RelationAddressTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\RelationAddress $relation_address)
    {
        return [
            'id'                => $relation_address->getRouteKey(),
            'key'               => [
                'public'    => $relation_address->getPublicKey(),
                'route'     => $relation_address->getRouteKey(),
            ], 
            'id'                => $relation_address->id,
            'name'              => $relation_address->name,
            'type'              => $relation_address->type,
            'is_main'           => $relation_address->is_main,
            'is_active'         => $relation_address->is_active,
            'address'           => $relation_address->address,
            'address_extra'     => $relation_address->address_extra,
            'address_extra2'    => $relation_address->address_extra2,
            'housenumber'       => $relation_address->housenumber,
            'housenumberaddition' => $relation_address->housenumberaddition,
            'zipcode'           => $relation_address->zipcode,
            'city'              => $relation_address->city,
            'country_id'        => $relation_address->country_id,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$relation_address->getPublicKey()),
                'user'      => guard_url('advancedcrm/relation_address/'.$relation_address->getRouteKey()),
            ], 
            'status'            => trans('app.'.$relation_address->status),
            'created_at'        => format_date($relation_address->created_at),
            'updated_at'        => format_date($relation_address->updated_at),
        ];
    }
}