<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RelationCommunicationTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\RelationCommunication $relation_communication)
    {
        return [
            'id'                => $relation_communication->getRouteKey(),
            'key'               => [
                'public'    => $relation_communication->getPublicKey(),
                'route'     => $relation_communication->getRouteKey(),
            ], 
            'id'                => $relation_communication->id,
            'name'              => $relation_communication->name,
            'is_active'         => $relation_communication->is_active,
            'type'              => $relation_communication->type,
            'key'               => $relation_communication->key,
            'value'             => $relation_communication->value,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$relation_communication->getPublicKey()),
                'user'      => guard_url('advancedcrm/relation_communication/'.$relation_communication->getRouteKey()),
            ], 
            'status'            => trans('app.'.$relation_communication->status),
            'created_at'        => format_date($relation_communication->created_at),
            'updated_at'        => format_date($relation_communication->updated_at),
        ];
    }
}