<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RelationStatusTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\RelationStatus $relation_status)
    {
        return [
            'id'                => $relation_status->getRouteKey(),
            'key'               => [
                'public'    => $relation_status->getPublicKey(),
                'route'     => $relation_status->getRouteKey(),
            ], 
            'id'                => $relation_status->id,
            'name'              => $relation_status->name,
            'sortorder'         => $relation_status->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$relation_status->getPublicKey()),
                'user'      => guard_url('advancedcrm/relation_status/'.$relation_status->getRouteKey()),
            ], 
            'status'            => trans('app.'.$relation_status->status),
            'created_at'        => format_date($relation_status->created_at),
            'updated_at'        => format_date($relation_status->updated_at),
        ];
    }
}