<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RelationTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Relation $relation)
    {
        return [
            'id'                => $relation->getRouteKey(),
            'key'               => [
                'public'    => $relation->getPublicKey(),
                'route'     => $relation->getRouteKey(),
            ], 
            'id'                => $relation->id,
            'company_id'        => $relation->company_id,
            'name'              => $relation->name,
            'slug'              => $relation->slug,
            'relation_type_id'  => $relation->relation_type_id,
            'industry_id'       => $relation->industry_id,
            'num_employees'     => $relation->num_employees,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$relation->getPublicKey()),
                'user'      => guard_url('advancedcrm/relation/'.$relation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$relation->status),
            'created_at'        => format_date($relation->created_at),
            'updated_at'        => format_date($relation->updated_at),
        ];
    }
}