<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RelationTypeTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\RelationType $relation_type)
    {
        return [
            'id'                => $relation_type->getRouteKey(),
            'key'               => [
                'public'    => $relation_type->getPublicKey(),
                'route'     => $relation_type->getRouteKey(),
            ], 
            'id'                => $relation_type->id,
            'name'              => $relation_type->name,
            'sortorder'         => $relation_type->sortorder,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$relation_type->getPublicKey()),
                'user'      => guard_url('advancedcrm/relation_type/'.$relation_type->getRouteKey()),
            ], 
            'status'            => trans('app.'.$relation_type->status),
            'created_at'        => format_date($relation_type->created_at),
            'updated_at'        => format_date($relation_type->updated_at),
        ];
    }
}