<?php

namespace Cleancrm\Advancedcrm\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VendorTransformer extends TransformerAbstract
{
    public function transform(\Cleancrm\Advancedcrm\Models\Vendor $vendor)
    {
        return [
            'id'                => $vendor->getRouteKey(),
            'key'               => [
                'public'    => $vendor->getPublicKey(),
                'route'     => $vendor->getRouteKey(),
            ], 
            'id'                => $vendor->id,
            'company_id'        => $vendor->company_id,
            'relation_id'       => $vendor->relation_id,
            'vendor_nr'         => $vendor->vendor_nr,
            'name'              => $vendor->name,
            'slug'              => $vendor->slug,
            'status_id'         => $vendor->status_id,
            'tax_number'        => $vendor->tax_number,
            'coc_number'        => $vendor->coc_number,
            'url'               => [
                'public'    => trans_url('advancedcrm/'.$vendor->getPublicKey()),
                'user'      => guard_url('advancedcrm/vendor/'.$vendor->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vendor->status),
            'created_at'        => format_date($vendor->created_at),
            'updated_at'        => format_date($vendor->updated_at),
        ];
    }
}