<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\CalendarEvent;
use Cleancrm\Advancedcrm\Notifications\CalendarEventWorkflow as CalendarEventNotifyer;
use Notification;

class CalendarEventNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CalendarEvent $calendar_event
     *
     * @return void
     */
    public function complete(CalendarEvent $calendar_event)
    {
        return Notification::send($calendar_event->user, new CalendarEventNotifyer($calendar_event, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CalendarEvent $calendar_event
     *
     * @return void
     */
    public function verify(CalendarEvent $calendar_event)
    {
        return Notification::send($calendar_event->user, new CalendarEventNotifyer($calendar_event, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CalendarEvent $calendar_event
     *
     * @return void
     */
    public function approve(CalendarEvent $calendar_event)
    {
        return Notification::send($calendar_event->user, new CalendarEventNotifyer($calendar_event, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CalendarEvent $calendar_event
     *
     * @return void
     */
    public function publish(CalendarEvent $calendar_event)
    {
        return Notification::send($calendar_event->user, new CalendarEventNotifyer($calendar_event, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CalendarEvent $calendar_event
     *
     * @return void
     */
    public function archive(CalendarEvent $calendar_event)
    {
        return Notification::send($calendar_event->user, new CalendarEventNotifyer($calendar_event, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CalendarEvent $calendar_event
     *
     * @return void
     */
    public function unpublish(CalendarEvent $calendar_event)
    {
        return Notification::send($calendar_event->user, new CalendarEventNotifyer($calendar_event, 'unpublish'));;

    }
}
