<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\CalendarEventPriority;
use Cleancrm\Advancedcrm\Notifications\CalendarEventPriorityWorkflow as CalendarEventPriorityNotifyer;
use Notification;

class CalendarEventPriorityNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CalendarEventPriority $calendar_event_priority
     *
     * @return void
     */
    public function complete(CalendarEventPriority $calendar_event_priority)
    {
        return Notification::send($calendar_event_priority->user, new CalendarEventPriorityNotifyer($calendar_event_priority, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CalendarEventPriority $calendar_event_priority
     *
     * @return void
     */
    public function verify(CalendarEventPriority $calendar_event_priority)
    {
        return Notification::send($calendar_event_priority->user, new CalendarEventPriorityNotifyer($calendar_event_priority, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CalendarEventPriority $calendar_event_priority
     *
     * @return void
     */
    public function approve(CalendarEventPriority $calendar_event_priority)
    {
        return Notification::send($calendar_event_priority->user, new CalendarEventPriorityNotifyer($calendar_event_priority, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CalendarEventPriority $calendar_event_priority
     *
     * @return void
     */
    public function publish(CalendarEventPriority $calendar_event_priority)
    {
        return Notification::send($calendar_event_priority->user, new CalendarEventPriorityNotifyer($calendar_event_priority, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CalendarEventPriority $calendar_event_priority
     *
     * @return void
     */
    public function archive(CalendarEventPriority $calendar_event_priority)
    {
        return Notification::send($calendar_event_priority->user, new CalendarEventPriorityNotifyer($calendar_event_priority, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CalendarEventPriority $calendar_event_priority
     *
     * @return void
     */
    public function unpublish(CalendarEventPriority $calendar_event_priority)
    {
        return Notification::send($calendar_event_priority->user, new CalendarEventPriorityNotifyer($calendar_event_priority, 'unpublish'));;

    }
}
