<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Cleancrm\Advancedcrm\Models\CalendarEventStatus;

class CalendarEventStatusAction
{
    /**
     * Perform the complete action.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return CalendarEventStatus
     */
    public function complete(CalendarEventStatus $calendar_event_status)
    {
        try {
            $calendar_event_status->status = 'complete';
            return $calendar_event_status->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return CalendarEventStatus
     */public function verify(CalendarEventStatus $calendar_event_status)
    {
        try {
            $calendar_event_status->status = 'verify';
            return $calendar_event_status->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return CalendarEventStatus
     */public function approve(CalendarEventStatus $calendar_event_status)
    {
        try {
            $calendar_event_status->status = 'approve';
            return $calendar_event_status->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return CalendarEventStatus
     */public function publish(CalendarEventStatus $calendar_event_status)
    {
        try {
            $calendar_event_status->status = 'publish';
            return $calendar_event_status->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return CalendarEventStatus
     */
    public function archive(CalendarEventStatus $calendar_event_status)
    {
        try {
            $calendar_event_status->status = 'archive';
            return $calendar_event_status->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return CalendarEventStatus
     */
    public function unpublish(CalendarEventStatus $calendar_event_status)
    {
        try {
            $calendar_event_status->status = 'unpublish';
            return $calendar_event_status->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
