<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\CalendarEventStatus;
use Cleancrm\Advancedcrm\Notifications\CalendarEventStatusWorkflow as CalendarEventStatusNotifyer;
use Notification;

class CalendarEventStatusNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return void
     */
    public function complete(CalendarEventStatus $calendar_event_status)
    {
        return Notification::send($calendar_event_status->user, new CalendarEventStatusNotifyer($calendar_event_status, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return void
     */
    public function verify(CalendarEventStatus $calendar_event_status)
    {
        return Notification::send($calendar_event_status->user, new CalendarEventStatusNotifyer($calendar_event_status, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return void
     */
    public function approve(CalendarEventStatus $calendar_event_status)
    {
        return Notification::send($calendar_event_status->user, new CalendarEventStatusNotifyer($calendar_event_status, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return void
     */
    public function publish(CalendarEventStatus $calendar_event_status)
    {
        return Notification::send($calendar_event_status->user, new CalendarEventStatusNotifyer($calendar_event_status, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return void
     */
    public function archive(CalendarEventStatus $calendar_event_status)
    {
        return Notification::send($calendar_event_status->user, new CalendarEventStatusNotifyer($calendar_event_status, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CalendarEventStatus $calendar_event_status
     *
     * @return void
     */
    public function unpublish(CalendarEventStatus $calendar_event_status)
    {
        return Notification::send($calendar_event_status->user, new CalendarEventStatusNotifyer($calendar_event_status, 'unpublish'));;

    }
}
