<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Calendar;
use Cleancrm\Advancedcrm\Notifications\CalendarWorkflow as CalendarNotifyer;
use Notification;

class CalendarNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Calendar $calendar
     *
     * @return void
     */
    public function complete(Calendar $calendar)
    {
        return Notification::send($calendar->user, new CalendarNotifyer($calendar, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Calendar $calendar
     *
     * @return void
     */
    public function verify(Calendar $calendar)
    {
        return Notification::send($calendar->user, new CalendarNotifyer($calendar, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Calendar $calendar
     *
     * @return void
     */
    public function approve(Calendar $calendar)
    {
        return Notification::send($calendar->user, new CalendarNotifyer($calendar, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Calendar $calendar
     *
     * @return void
     */
    public function publish(Calendar $calendar)
    {
        return Notification::send($calendar->user, new CalendarNotifyer($calendar, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Calendar $calendar
     *
     * @return void
     */
    public function archive(Calendar $calendar)
    {
        return Notification::send($calendar->user, new CalendarNotifyer($calendar, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Calendar $calendar
     *
     * @return void
     */
    public function unpublish(Calendar $calendar)
    {
        return Notification::send($calendar->user, new CalendarNotifyer($calendar, 'unpublish'));;

    }
}
