<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Company;
use Cleancrm\Advancedcrm\Notifications\CompanyWorkflow as CompanyNotifyer;
use Notification;

class CompanyNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Company $company
     *
     * @return void
     */
    public function complete(Company $company)
    {
        return Notification::send($company->user, new CompanyNotifyer($company, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Company $company
     *
     * @return void
     */
    public function verify(Company $company)
    {
        return Notification::send($company->user, new CompanyNotifyer($company, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Company $company
     *
     * @return void
     */
    public function approve(Company $company)
    {
        return Notification::send($company->user, new CompanyNotifyer($company, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Company $company
     *
     * @return void
     */
    public function publish(Company $company)
    {
        return Notification::send($company->user, new CompanyNotifyer($company, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Company $company
     *
     * @return void
     */
    public function archive(Company $company)
    {
        return Notification::send($company->user, new CompanyNotifyer($company, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Company $company
     *
     * @return void
     */
    public function unpublish(Company $company)
    {
        return Notification::send($company->user, new CompanyNotifyer($company, 'unpublish'));;

    }
}
