<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Customer;
use Cleancrm\Advancedcrm\Notifications\CustomerWorkflow as CustomerNotifyer;
use Notification;

class CustomerNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Customer $customer
     *
     * @return void
     */
    public function complete(Customer $customer)
    {
        return Notification::send($customer->user, new CustomerNotifyer($customer, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Customer $customer
     *
     * @return void
     */
    public function verify(Customer $customer)
    {
        return Notification::send($customer->user, new CustomerNotifyer($customer, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Customer $customer
     *
     * @return void
     */
    public function approve(Customer $customer)
    {
        return Notification::send($customer->user, new CustomerNotifyer($customer, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Customer $customer
     *
     * @return void
     */
    public function publish(Customer $customer)
    {
        return Notification::send($customer->user, new CustomerNotifyer($customer, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Customer $customer
     *
     * @return void
     */
    public function archive(Customer $customer)
    {
        return Notification::send($customer->user, new CustomerNotifyer($customer, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Customer $customer
     *
     * @return void
     */
    public function unpublish(Customer $customer)
    {
        return Notification::send($customer->user, new CustomerNotifyer($customer, 'unpublish'));;

    }
}
