<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Lead;
use Cleancrm\Advancedcrm\Notifications\LeadWorkflow as LeadNotifyer;
use Notification;

class LeadNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Lead $lead
     *
     * @return void
     */
    public function complete(Lead $lead)
    {
        return Notification::send($lead->user, new LeadNotifyer($lead, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Lead $lead
     *
     * @return void
     */
    public function verify(Lead $lead)
    {
        return Notification::send($lead->user, new LeadNotifyer($lead, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Lead $lead
     *
     * @return void
     */
    public function approve(Lead $lead)
    {
        return Notification::send($lead->user, new LeadNotifyer($lead, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Lead $lead
     *
     * @return void
     */
    public function publish(Lead $lead)
    {
        return Notification::send($lead->user, new LeadNotifyer($lead, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Lead $lead
     *
     * @return void
     */
    public function archive(Lead $lead)
    {
        return Notification::send($lead->user, new LeadNotifyer($lead, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Lead $lead
     *
     * @return void
     */
    public function unpublish(Lead $lead)
    {
        return Notification::send($lead->user, new LeadNotifyer($lead, 'unpublish'));;

    }
}
