<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\LeadSource;
use Cleancrm\Advancedcrm\Notifications\LeadSourceWorkflow as LeadSourceNotifyer;
use Notification;

class LeadSourceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param LeadSource $lead_source
     *
     * @return void
     */
    public function complete(LeadSource $lead_source)
    {
        return Notification::send($lead_source->user, new LeadSourceNotifyer($lead_source, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param LeadSource $lead_source
     *
     * @return void
     */
    public function verify(LeadSource $lead_source)
    {
        return Notification::send($lead_source->user, new LeadSourceNotifyer($lead_source, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param LeadSource $lead_source
     *
     * @return void
     */
    public function approve(LeadSource $lead_source)
    {
        return Notification::send($lead_source->user, new LeadSourceNotifyer($lead_source, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param LeadSource $lead_source
     *
     * @return void
     */
    public function publish(LeadSource $lead_source)
    {
        return Notification::send($lead_source->user, new LeadSourceNotifyer($lead_source, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param LeadSource $lead_source
     *
     * @return void
     */
    public function archive(LeadSource $lead_source)
    {
        return Notification::send($lead_source->user, new LeadSourceNotifyer($lead_source, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param LeadSource $lead_source
     *
     * @return void
     */
    public function unpublish(LeadSource $lead_source)
    {
        return Notification::send($lead_source->user, new LeadSourceNotifyer($lead_source, 'unpublish'));;

    }
}
