<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Opportunity;
use Cleancrm\Advancedcrm\Notifications\OpportunityWorkflow as OpportunityNotifyer;
use Notification;

class OpportunityNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Opportunity $opportunity
     *
     * @return void
     */
    public function complete(Opportunity $opportunity)
    {
        return Notification::send($opportunity->user, new OpportunityNotifyer($opportunity, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Opportunity $opportunity
     *
     * @return void
     */
    public function verify(Opportunity $opportunity)
    {
        return Notification::send($opportunity->user, new OpportunityNotifyer($opportunity, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Opportunity $opportunity
     *
     * @return void
     */
    public function approve(Opportunity $opportunity)
    {
        return Notification::send($opportunity->user, new OpportunityNotifyer($opportunity, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Opportunity $opportunity
     *
     * @return void
     */
    public function publish(Opportunity $opportunity)
    {
        return Notification::send($opportunity->user, new OpportunityNotifyer($opportunity, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Opportunity $opportunity
     *
     * @return void
     */
    public function archive(Opportunity $opportunity)
    {
        return Notification::send($opportunity->user, new OpportunityNotifyer($opportunity, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Opportunity $opportunity
     *
     * @return void
     */
    public function unpublish(Opportunity $opportunity)
    {
        return Notification::send($opportunity->user, new OpportunityNotifyer($opportunity, 'unpublish'));;

    }
}
