<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\OpportunityStatus;
use Cleancrm\Advancedcrm\Notifications\OpportunityStatusWorkflow as OpportunityStatusNotifyer;
use Notification;

class OpportunityStatusNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param OpportunityStatus $opportunity_status
     *
     * @return void
     */
    public function complete(OpportunityStatus $opportunity_status)
    {
        return Notification::send($opportunity_status->user, new OpportunityStatusNotifyer($opportunity_status, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param OpportunityStatus $opportunity_status
     *
     * @return void
     */
    public function verify(OpportunityStatus $opportunity_status)
    {
        return Notification::send($opportunity_status->user, new OpportunityStatusNotifyer($opportunity_status, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param OpportunityStatus $opportunity_status
     *
     * @return void
     */
    public function approve(OpportunityStatus $opportunity_status)
    {
        return Notification::send($opportunity_status->user, new OpportunityStatusNotifyer($opportunity_status, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param OpportunityStatus $opportunity_status
     *
     * @return void
     */
    public function publish(OpportunityStatus $opportunity_status)
    {
        return Notification::send($opportunity_status->user, new OpportunityStatusNotifyer($opportunity_status, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param OpportunityStatus $opportunity_status
     *
     * @return void
     */
    public function archive(OpportunityStatus $opportunity_status)
    {
        return Notification::send($opportunity_status->user, new OpportunityStatusNotifyer($opportunity_status, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param OpportunityStatus $opportunity_status
     *
     * @return void
     */
    public function unpublish(OpportunityStatus $opportunity_status)
    {
        return Notification::send($opportunity_status->user, new OpportunityStatusNotifyer($opportunity_status, 'unpublish'));;

    }
}
