<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\RelationAddress;
use Cleancrm\Advancedcrm\Notifications\RelationAddressWorkflow as RelationAddressNotifyer;
use Notification;

class RelationAddressNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param RelationAddress $relation_address
     *
     * @return void
     */
    public function complete(RelationAddress $relation_address)
    {
        return Notification::send($relation_address->user, new RelationAddressNotifyer($relation_address, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param RelationAddress $relation_address
     *
     * @return void
     */
    public function verify(RelationAddress $relation_address)
    {
        return Notification::send($relation_address->user, new RelationAddressNotifyer($relation_address, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param RelationAddress $relation_address
     *
     * @return void
     */
    public function approve(RelationAddress $relation_address)
    {
        return Notification::send($relation_address->user, new RelationAddressNotifyer($relation_address, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param RelationAddress $relation_address
     *
     * @return void
     */
    public function publish(RelationAddress $relation_address)
    {
        return Notification::send($relation_address->user, new RelationAddressNotifyer($relation_address, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param RelationAddress $relation_address
     *
     * @return void
     */
    public function archive(RelationAddress $relation_address)
    {
        return Notification::send($relation_address->user, new RelationAddressNotifyer($relation_address, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param RelationAddress $relation_address
     *
     * @return void
     */
    public function unpublish(RelationAddress $relation_address)
    {
        return Notification::send($relation_address->user, new RelationAddressNotifyer($relation_address, 'unpublish'));;

    }
}
