<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\RelationCommunication;
use Cleancrm\Advancedcrm\Notifications\RelationCommunicationWorkflow as RelationCommunicationNotifyer;
use Notification;

class RelationCommunicationNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param RelationCommunication $relation_communication
     *
     * @return void
     */
    public function complete(RelationCommunication $relation_communication)
    {
        return Notification::send($relation_communication->user, new RelationCommunicationNotifyer($relation_communication, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param RelationCommunication $relation_communication
     *
     * @return void
     */
    public function verify(RelationCommunication $relation_communication)
    {
        return Notification::send($relation_communication->user, new RelationCommunicationNotifyer($relation_communication, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param RelationCommunication $relation_communication
     *
     * @return void
     */
    public function approve(RelationCommunication $relation_communication)
    {
        return Notification::send($relation_communication->user, new RelationCommunicationNotifyer($relation_communication, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param RelationCommunication $relation_communication
     *
     * @return void
     */
    public function publish(RelationCommunication $relation_communication)
    {
        return Notification::send($relation_communication->user, new RelationCommunicationNotifyer($relation_communication, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param RelationCommunication $relation_communication
     *
     * @return void
     */
    public function archive(RelationCommunication $relation_communication)
    {
        return Notification::send($relation_communication->user, new RelationCommunicationNotifyer($relation_communication, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param RelationCommunication $relation_communication
     *
     * @return void
     */
    public function unpublish(RelationCommunication $relation_communication)
    {
        return Notification::send($relation_communication->user, new RelationCommunicationNotifyer($relation_communication, 'unpublish'));;

    }
}
