<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Relation;
use Cleancrm\Advancedcrm\Notifications\RelationWorkflow as RelationNotifyer;
use Notification;

class RelationNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Relation $relation
     *
     * @return void
     */
    public function complete(Relation $relation)
    {
        return Notification::send($relation->user, new RelationNotifyer($relation, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Relation $relation
     *
     * @return void
     */
    public function verify(Relation $relation)
    {
        return Notification::send($relation->user, new RelationNotifyer($relation, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Relation $relation
     *
     * @return void
     */
    public function approve(Relation $relation)
    {
        return Notification::send($relation->user, new RelationNotifyer($relation, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Relation $relation
     *
     * @return void
     */
    public function publish(Relation $relation)
    {
        return Notification::send($relation->user, new RelationNotifyer($relation, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Relation $relation
     *
     * @return void
     */
    public function archive(Relation $relation)
    {
        return Notification::send($relation->user, new RelationNotifyer($relation, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Relation $relation
     *
     * @return void
     */
    public function unpublish(Relation $relation)
    {
        return Notification::send($relation->user, new RelationNotifyer($relation, 'unpublish'));;

    }
}
