<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\RelationStatus;
use Cleancrm\Advancedcrm\Notifications\RelationStatusWorkflow as RelationStatusNotifyer;
use Notification;

class RelationStatusNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param RelationStatus $relation_status
     *
     * @return void
     */
    public function complete(RelationStatus $relation_status)
    {
        return Notification::send($relation_status->user, new RelationStatusNotifyer($relation_status, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param RelationStatus $relation_status
     *
     * @return void
     */
    public function verify(RelationStatus $relation_status)
    {
        return Notification::send($relation_status->user, new RelationStatusNotifyer($relation_status, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param RelationStatus $relation_status
     *
     * @return void
     */
    public function approve(RelationStatus $relation_status)
    {
        return Notification::send($relation_status->user, new RelationStatusNotifyer($relation_status, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param RelationStatus $relation_status
     *
     * @return void
     */
    public function publish(RelationStatus $relation_status)
    {
        return Notification::send($relation_status->user, new RelationStatusNotifyer($relation_status, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param RelationStatus $relation_status
     *
     * @return void
     */
    public function archive(RelationStatus $relation_status)
    {
        return Notification::send($relation_status->user, new RelationStatusNotifyer($relation_status, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param RelationStatus $relation_status
     *
     * @return void
     */
    public function unpublish(RelationStatus $relation_status)
    {
        return Notification::send($relation_status->user, new RelationStatusNotifyer($relation_status, 'unpublish'));;

    }
}
