<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\RelationType;
use Cleancrm\Advancedcrm\Notifications\RelationTypeWorkflow as RelationTypeNotifyer;
use Notification;

class RelationTypeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param RelationType $relation_type
     *
     * @return void
     */
    public function complete(RelationType $relation_type)
    {
        return Notification::send($relation_type->user, new RelationTypeNotifyer($relation_type, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param RelationType $relation_type
     *
     * @return void
     */
    public function verify(RelationType $relation_type)
    {
        return Notification::send($relation_type->user, new RelationTypeNotifyer($relation_type, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param RelationType $relation_type
     *
     * @return void
     */
    public function approve(RelationType $relation_type)
    {
        return Notification::send($relation_type->user, new RelationTypeNotifyer($relation_type, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param RelationType $relation_type
     *
     * @return void
     */
    public function publish(RelationType $relation_type)
    {
        return Notification::send($relation_type->user, new RelationTypeNotifyer($relation_type, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param RelationType $relation_type
     *
     * @return void
     */
    public function archive(RelationType $relation_type)
    {
        return Notification::send($relation_type->user, new RelationTypeNotifyer($relation_type, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param RelationType $relation_type
     *
     * @return void
     */
    public function unpublish(RelationType $relation_type)
    {
        return Notification::send($relation_type->user, new RelationTypeNotifyer($relation_type, 'unpublish'));;

    }
}
