<?php

namespace Cleancrm\Advancedcrm\Workflow;

use Cleancrm\Advancedcrm\Models\Vendor;
use Cleancrm\Advancedcrm\Notifications\VendorWorkflow as VendorNotifyer;
use Notification;

class VendorNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Vendor $vendor
     *
     * @return void
     */
    public function complete(Vendor $vendor)
    {
        return Notification::send($vendor->user, new VendorNotifyer($vendor, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Vendor $vendor
     *
     * @return void
     */
    public function verify(Vendor $vendor)
    {
        return Notification::send($vendor->user, new VendorNotifyer($vendor, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Vendor $vendor
     *
     * @return void
     */
    public function approve(Vendor $vendor)
    {
        return Notification::send($vendor->user, new VendorNotifyer($vendor, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Vendor $vendor
     *
     * @return void
     */
    public function publish(Vendor $vendor)
    {
        return Notification::send($vendor->user, new VendorNotifyer($vendor, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Vendor $vendor
     *
     * @return void
     */
    public function archive(Vendor $vendor)
    {
        return Notification::send($vendor->user, new VendorNotifyer($vendor, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Vendor $vendor
     *
     * @return void
     */
    public function unpublish(Vendor $vendor)
    {
        return Notification::send($vendor->user, new VendorNotifyer($vendor, 'unpublish'));;

    }
}
